Support communications around the preprocessor fixups
Closed, ResolvedPublic

Description

So far we've been warning the communities through Tech News (2 separate issues).
I may or may not reach out to some projects separately.

There are conversations at https://www.mediawiki.org/wiki/Talk:Parsoid/Language_conversion/Preprocessor_fixups, https://meta.wikimedia.org/wiki/Talk:Tech/News/2017/19 and https://meta.wikimedia.org/wiki/Talk:Tech/News/2017/20.

I also want to plan a retro and invite some of the people involved so far if possible.

Elitre created this task.May 12 2017, 5:03 PM
Elitre raised the priority of this task from Normal to High.
Elitre added a comment.EditedMay 16 2017, 11:13 AM

I have messaged several projects and/or ambassadors to get the pages reviewed and/or fixed - I picked those with roughly more than 50 cases:

A note about a future change

Hi everyone. I'm sure you've already noticed this in Tech News as it's been already mentioned twice, but I wanted to flag again that because of an upcoming change, there's some code that may need to be fixed on this wiki:

  • <span title="Advanced item">[[File:Octicons-tools.svg|15px|link=]]</span> ''Markup that looks like code for language variants might need to be fixed. Tech News wrote about this last week. If <code>-{</code> is used in [[w:en:Transclusion|transclusions]] or [[w:en:URL|web addresses]] it has to be [[w:en:Escape character|escaped]] appropriately. You can use <code>-<nowiki><nowiki/></nowiki>{</code> for transclusions and <code>%2D{</code> in web addresses. This is because of some code fixes to the [[w:en:Preprocessor|preprocessor]] and affects all wikis. You can now see [[mw: Parsoid/Language conversion/Preprocessor fixups/20170501|the full list of wikis with this problem]] and help fix them to avoid that things break later this month. You might find [[w:en:False positives and false negatives|false positives]]. You can [[mw: Parsoid/Language conversion/Preprocessor fixups/Edit logbook#Edit Rules|read more about what to fix]].'' [https://gerrit.wikimedia.org/r/#/c/333997/][https://www.mediawiki.org/wiki/Parsoid/Language_conversion/Preprocessor_fixups]

You can find the list of the pages you'll want to check [[:mw:Parsoid/Language_conversion/Preprocessor_fixups/20170501#Sister_projects]] here. In most cases those are false positives, and you only really need to fix [[:mw:Parsoid/Language_conversion/Preprocessor_fixups#How_to_fix|as explained here]] when the "defective" syntax is inside a template or a wikilink, basically. When you have completed the checks, please edit the Notes field of the table accordingly, thank you. If you have questions, please reach the team [[:mw:Talk:Parsoid/Language_conversion/Preprocessor_fixups|on the talk page]]. Hope this helps, --~~~~

Elitre added a comment.EditedMay 19 2017, 8:01 AM

I have also left a link to the list of wikis in the IRC channel for the ongoing hackathon.
I was thinking about an email to wikitech ambassadors, but the list seems quite in good shape already, so I may do that as a way of saying thanks later at some point.

Also mentioned in email to ambassadors: https://lists.wikimedia.org/pipermail/wikitech-ambassadors/2017-May/001591.html .
I am going to give a heads-up to communities that apparently haven't reacted yet.

Elitre added a comment.EditedMay 25 2017, 8:32 PM

When the change lands on wikis (check Special:Version, it needs to say wmf.2), it will be breaking articles where fixes haven't happened, as anticipated.
The team will consider creating a new index of fixable pages in the next weeks.

Elitre added a comment.Jun 3 2017, 9:40 AM

F8285471 is what an infobox looks like after the change. I don't know that pinging the projects for the nth time will do any good.

cscott added a subscriber: cscott.Jun 5 2017, 2:11 AM

This has landed in 1.30.0 wmf.2; we should figure out what follow-up needs to be done (if any).

If you refresh the list of wikis at some point, I can send a new nudge to communities about what's left to do, because we are good people. Mostly this task is open because of the retro meeting that hasn't happened yet.

Actually @cscott , that would be a new listing, as per https://www.mediawiki.org/w/index.php?title=Topic:Tqarevt7apnh2pj1 . LMK if and when that happens!

Elitre lowered the priority of this task from High to Low.Jun 16 2017, 3:14 PM

I just uploaded https://www.mediawiki.org/wiki/Parsoid/Language_conversion/Preprocessor_fixups/20170601 but they have some avoidable false positives (non-wikitext pages included) and the 0601 dump is actually before some of this fixup work happened I think.

My basement server is currently updating the 20170601 dump to remote the false positives, and then will begin crunching through the new 20170620 dumps, which should be much better (since they post-date the fixup work). I'll post another note here when those tasks are done.

That's appreciated. Will wait for the new list before sending out reminders to the community then. We'll probably schedule the retro before.

This is great, thank you. Tomorrow, I'll send a final email to tech ambassadors (dunno about village pumps, but will likely end up doing those as well). I will make it clear that there shouldn't be other warnings in the future (and maybe no new lists from you as well?) - documentation is accessible and we need to focus on the other projects.

Elitre closed this task as Resolved.Jun 28 2017, 3:54 PM

Mail and 5 main affected wikis, done.

The retrospective part of this is an internal thing, so I consider this task technically resolved now.

Qgil awarded a token.Jun 29 2017, 7:41 AM